Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenLabelImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenLabelImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenCommonBase, GenLabel

Direct Known Subclasses:
  GenLinkLabelImpl, GenNodeLabelImpl

    public abstract class GenLabelImpl

extends GenCommonBaseImpl
implements GenLabel

An implementation of the model object 'Gen Label'.

The following features are implemented:

- `Read Only`
- `Element Icon`
- `Model Facet`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static boolean` `ELEMENT_ICON_EDEFAULT` The default value of the '`Element Icon`' attribute
`protected boolean` `elementIcon` The cached value of the '`Element Icon`' attribute
`protected LabelModelFacet` `modelFacet` The cached value of the '`Model Facet`' containment reference
`protected static boolean` `READ_ONLY_EDEFAULT` The default value of the '`Read Only`' attribute
`protected boolean` `readOnly` The cached value of the '`Read Only`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl
`behaviour, diagramRunTimeClass, EDIT_PART_CLASS_NAME_EDEFAULT, editPartClassName, elementType, ITEM_SEMANTIC_EDIT_POLICY_CLASS_NAME_EDEFAULT, itemSemanticEditPolicyClassName, NOTATION_VIEW_FACTORY_CLASS_NAME_EDEFAULT, notationViewFactoryClassName, SANS_DOMAIN_EDEFAULT, styles, viewmap, VISUAL_ID_EDEFAULT, visualID`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLabel
`CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenLabelImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetModelFacet(LabelModelFacet newModelFacet, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getClassNamePrefix()`
`protected abstract java.lang.String` `getHostName()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getMetaFeatures()`
`static org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getMetaFeatures(LabelModelFacet modelFacet)`
`LabelModelFacet` `getModelFacet()`
`boolean` `isElementIcon()`
`boolean` `isReadOnly()`
`boolean` `isSansDomain()`
`void` `setElementIcon(boolean newElementIcon)`
`void` `setModelFacet(LabelModelFacet newModelFacet)`
`void` `setReadOnly(boolean newReadOnly)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenCommonBaseImpl

`asJavaConstantName, basicGetDiagramRunTimeClass, basicSetElementType, basicSetViewmap, eInverseAdd, getBehaviour, getBehaviour, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartClassNameGen, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyClassNameGen, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryClassNameGen, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### READ_ONLY_EDEFAULT

    protected static final boolean READ_ONLY_EDEFAULT

  The default value of the '`Read Only`' attribute.

  See Also:
    `isReadOnly()`, Constant Field Values
  ** Generated **
  Ordered:

### readOnly

    protected boolean readOnly

  The cached value of the '`Read Only`' attribute.

  See Also:
    `isReadOnly()`
  ** Generated **
  Ordered:

### ELEMENT_ICON_EDEFAULT

    protected static final boolean ELEMENT_ICON_EDEFAULT

  The default value of the '`Element Icon`' attribute.

  See Also:
    `isElementIcon()`, Constant Field Values
  ** Generated **
  Ordered:

### elementIcon

    protected boolean elementIcon

  The cached value of the '`Element Icon`' attribute.

  See Also:
    `isElementIcon()`
  ** Generated **
  Ordered:

### modelFacet

    protected LabelModelFacet modelFacet

  The cached value of the '`Model Facet`' containment reference.

  See Also:
    `getModelFacet()`
  ** Generated **
  Ordered:

Constructor Detail

### GenLabelImpl

    protected GenLabelImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenCommonBaseImpl`
  ** Generated **

### isReadOnly

    public boolean isReadOnly()

  Specified by:
    `isReadOnly` in interface `GenLabel`
  Returns:
    the value of the 'Read Only' attribute.
  See Also:
    `GenLabel.setReadOnly(boolean)`, `GMFGenPackage.getGenLabel_ReadOnly()`
  ** Generated **

### setReadOnly

    public void setReadOnly(boolean newReadOnly)

  Specified by:
    `setReadOnly` in interface `GenLabel`
  Parameters:
    `newReadOnly` - the new value of the 'Read Only' attribute.
  See Also:
    `GenLabel.isReadOnly()`
  ** Generated **

### isElementIcon

    public boolean isElementIcon()

  Specified by:
    `isElementIcon` in interface `GenLabel`
  Returns:
    the value of the 'Element Icon' attribute.
  See Also:
    `GenLabel.setElementIcon(boolean)`, `GMFGenPackage.getGenLabel_ElementIcon()`
  ** Generated **

### setElementIcon

    public void setElementIcon(boolean newElementIcon)

  Specified by:
    `setElementIcon` in interface `GenLabel`
  Parameters:
    `newElementIcon` - the new value of the 'Element Icon' attribute.
  See Also:
    `GenLabel.isElementIcon()`
  ** Generated **

### getModelFacet

    public LabelModelFacet getModelFacet()

  Specified by:
    `getModelFacet` in interface `GenLabel`
  Returns:
    the value of the 'Model Facet' containment reference.
  See Also:
    `GenLabel.setModelFacet(LabelModelFacet)`, `GMFGenPackage.getGenLabel_ModelFacet()`
  ** Generated **

### basicSetModelFacet

    public org.eclipse.emf.common.notify.NotificationChain basicSetModelFacet(LabelModelFacet newModelFacet,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setModelFacet

    public void setModelFacet(LabelModelFacet newModelFacet)

  Specified by:
    `setModelFacet` in interface `GenLabel`
  Parameters:
    `newModelFacet` - the new value of the 'Model Facet' containment reference.
  See Also:
    `GenLabel.getModelFacet()`
  ** Generated **

### getMetaFeatures

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getMetaFeatures()

  Specified by:
    `getMetaFeatures` in interface `GenLabel`
  ** Generated **
    NOT

### getMetaFeatures

    public static org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getMetaFeatures(LabelModelFacet modelFacet)

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenCommonBaseImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `GenCommonBaseImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `GenCommonBaseImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `GenCommonBaseImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `GenCommonBaseImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenCommonBaseImpl`
  ** Generated **

### getHostName

    protected abstract java.lang.String getHostName()

### getClassNamePrefix

    public java.lang.String getClassNamePrefix()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `getClassNamePrefix` in interface `GenCommonBase`
  Specified by:
    `getClassNamePrefix` in class `GenCommonBaseImpl`

### isSansDomain

    public boolean isSansDomain()

  Description copied from class: `GenCommonBaseImpl`

  Specified by:
    `isSansDomain` in interface `GenCommonBase`
  Specified by:
    `isSansDomain` in class `GenCommonBaseImpl`
  Returns:
    the value of the 'Sans Domain' attribute.
  See Also:
    `GMFGenPackage.getGenCommonBase_SansDomain()`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.